Subject: Re: [RRG] Renumbering...

From: Scott Brim <[email-masked]>
Date: Wed, 03 Sep 2008 08:01:18 -0400

On 9/2/08 7:46 PM, Noel Chiappa allegedly wrote:
> As long as the registries continue to hand out PI space, and as long as the
> ISP's continue to accept and advertise them, most of this whole RRF effort is
> an utter waste of time. (Specifically, any designs which assume *any* effort
> on the part of users/etc are total non-starters.)

The first sentence doesn't make sense to me, because a design that
limits the routing scope of edge site addresses makes PI possible, so
the RRG work is not a waste of time.  The second point, that when fixing
Internet-wide routing and addressing you can't assume any changes in
endpoints that require users to take action, makes perfect sense.

> So, again: as long as we have a supply of PI addresses, and the ISP's will
> continue to take them, there's no incentive for the users to do anything at
> all.

First, any deployment plan that depends on forcing users to do something
by restricting their choices isn't going to work.  How will you convince
their upstream provders to tell them they can't have what they want?
It's not going to happen until there is a disaster and they truly can't.

Second, I think we already figured out that having to renumber whole
sites, including all the policy configuration, is bad.  PI avoids that.
 You just need to limit the scope of their advertisement.

On 9/2/08 8:15 PM, Tony Li allegedly wrote:
> So, part of our recommendation will likely be to cease the current practice
> of disseminating PI addresses in favor of alternative addressing
> architectures.  These would necessarily be coupled, so that our recommended
> solution would become available at the same time that PI accessibility
> ceased.  Obviously, some timing details need to be worked out so that we
> have an engineering solution that clearly does work (in practice, not just
> on paper) before we can phase out PI.

Why do you say this?  An addressing architecture that eliminates PI is
one possibility, but not the only one.  Are we having terminology
problems again?

On 9/3/08 12:33 AM, Stephen Sprunk allegedly wrote:
> If some alternate scheme existed which did not require a DFZ slot for
> every org with PI space by turning it into EID space, then we could
> solve that problem as well as remove (or at least lower significantly)
> the bar required to get some, which means _more_ orgs could multi-home
> at _lower_ global cost.  To me, that is the potential benefit behind
> what RRG is doing.
> 
> Note that this does not _require_ that end-user orgs do any of the
> work.  Their ISPs could, if they were motivated, accept their PI/EID
> space via BGP and push it into the mapping system and run a set of
> anycast ITRs, which advertised only the entire EID block.  Those of us
> in the RIRs have helped facilitate this, to a degree, by mandating that
> PIv6 assignments be made out blocks be distinct from those used for
> PAv6, which means that it's a five-line ACL to block _all_ PIv6 space
> from _all_ RIRs in the DFZ.  However, there must be an alternate way for
> their traffic to get through before that's feasible.

Exactly.

Scott

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg